Subject: bug#17505: Pádraig: does this solve your consistency concern? (was bug#17505: dd statistics output)

From: Linda Walsh <[email-masked]>
Date: Mon, 28 Jul 2014 17:17:23 -0700

Christian Groessler wrote:
> On 07/27/14 19:11, Linda Walsh wrote:
>> It is more common to specify transfer sizes in SI and mean IEC if you
>> are in the US where the digital computer was created.
>>
>> People in the US have not adopted SI units and many wouldn't know
>> a meter from a molehill, so SI units aren't the first thing that
>> they are likely to be meaning.  Computer scientists and the industry 
>> here,
>> grew up with using IEC prefixes where multiples of 8 are already in
>> use.  I.e. if you are talking *bytes*, you are using base 2.
> 
> 
> I didn't grow up in the US, and grew up with the metric system, but when 
> I'm
> talking about memory sizes I always mean IEC (2^10) and never SI (10^3).
> The only pitfall here are hard disk sizes where I have to remember that 
> "they"
> mean SI.
----
	I was trying to come up with some reason for Padraig's belief
that people usually meant SI when using IEC prefixes for computer
sizes like units bytes (2^3bits) or sectors (2^12 bits)... now what
power of 10 is that?  I've never heard of anyone supporting Padraig
position -- so I assumed it must be some foreign country where the
metric system and metric prefixes are meant to apply to non-unary
and non-base-10 quantities.  Pádraig: where did you get your impression?

	When it comes to disk space -- computers always give it in
IEC -- except where they've bought the line that mixed base-2 and power-of-10
prefixes is a good thing, then they try to get others to buy into such.

But reality is that one can't express disk space as a power of 10 as there
is no multiple of 10 that lines up with a 512-byte multiple.  I.e. the system is
designed to be inaccurate and confuse the issue to make it harder for
consumers to do comparisons.

> I don't get the reason for the dynamic switch at all. Can somebody 
> enlighten me?
----
	I think it was thrown in as a red herring, as I can't think
of any useful case for it.  Having the output vary units randomly, not
at the bequest of the user, doesn't seem especially useful.